// include SPECIFIC PAGE LEVEL SCRIPTS 
document.write('<script src="assets/plugins/jquery-validation/dist/jquery.validate.min.js" type="text/javascript"></script>');

/////////////////////////////////////
jQuery(document).ready(function() {
	App.init();
	$('a[data-toggle="tab"]').on('shown', function(e) {
		e.target // activated tab
		e.relatedTarget // previous tab
	});

	$('#product-form').validate({
		ignore: "",
		errorElement: 'label', //default input error message container
//            errorClass: 'help-block', // default input error message class
		focusInvalid: false, // do not focus the last invalid input
		rules: {
			product_stock_brand		: "required",
			product_stock_model		: "required",
			product_stock_interface	: "required",
			product_stock_format	: "required",
			product_stock_capacity	: "required",
			product_stock_sn		: "required",
			product_stock_parameters: "required",
			product_stock_parts		: "required",
			product_stock_qty		: "required"
		},
		messages: {
			product_stock_brand		: "Veuillez selectionner la marque du disque.",
			product_stock_model		: "Veuillez selectionner le modèle du disque.",
			product_stock_interface	: "Veuillez selectionner l'interface du disque.",
			product_stock_format	: "Veuillez selectionner le format du disque.",
			product_stock_capacity	: "Veuillez entrer la capacité du disque en Go.",
			product_stock_sn		: "Veuillez entrer le SN du disque.",
			product_stock_parameters: "Veuillez entrer les paramètres du disque.",
			product_stock_parts		: "Veuillez selectionner les pièces du disque.",
			product_stock_qty		: "Veuillez entrer la quantité de disques."
		},
		invalidHandler: function(event, validator) { //display error alert on form submit   
			// $('.alert-danger', $('#product-form')).show();
		},
		highlight: function(element) { // hightlight error inputs
			$(element).closest('.form-group').addClass('has-error'); // set error class to the control group

			if ($(".tab-content").find("div.tab-pane.active:has(div.has-error)").length == 0)
			{
				$(".tab-content").find("div.tab-pane:hidden:has(div.has-error)").each(function() {
					var id = $(this).attr("id");
					console.log(id);
					$('.nav-tabs a[href="#' + id + '"]').tab('show');
				});
			}
		},
		success: function(label) {
			var a = label.closest('.form-group');
			label.closest('.form-group').removeClass('has-error');
			label.remove();
		},
		errorPlacement: function(error, element) {
			//error.insertAfter(element.closest('.input-icon'));
			error.appendTo(element.parent("div"));
		}
	});
});